Bug 969838 - milter-greylist
milter-greylist
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: milter-greylist (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 12:03 EDT by H. Peter Anvin
Modified: 2013-08-01 04:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:17:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2013-06-02 12:03:49 EDT
Description of problem:

milter-greylist syslog output ends up in /var/log/messages, not /var/log/maillog

Version-Release number of selected component (if applicable):

milter-greylist-4.2.7-1700.fc17.x86_64

How reproducible:

100%

Both with and without "logfac mail", milter-greylist output all ends up in /var/log/messages, despite that file being configured "mail.none".
Comment 1 Paul Howarth 2013-06-02 15:48:32 EDT
I wonder if this is a symptom of something fixed upstream. The changelog for version 4.4 mentions a fix for "duplicate logging when run with -D via systemd".

Perhaps you could try changing milter-greylist.service to remove the "-D" option and change "Type=simple" to "Type=forking" and see if that helps?
Comment 2 H. Peter Anvin, Intel 2013-06-03 23:52:46 EDT
Note that the logging isn't duplicate: it *only* logs to messages, not maillog.  However, I will try messing with this.
Comment 3 Fedora End Of Life 2013-07-03 22:23:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 04:17:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.